# Global

##

### Type Definitions

#### AuthOptions

Source:
  - index.js, line 42

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`sessionToken` | String | <optional> | Specify a user to excute the operation as.
`user` | AV.User | <optional> | Specify a user to excute the operation as. The user must have _sessionToken. This option will be ignored if sessionToken option provided.
`useMasterKey` | Boolean | <optional> | Indicates whether masterKey is used for this operation. Only valid when masterKey is set.

Options to controll the authentication for an operation

##### Type:

- Object

#### ServerURLs

Source:
  - init.js, line 41

##### Properties:

Name | Type | Attributes | Description
--- | --- | --- | ---
`api` | String | <optional> | serverURL for api service
`engine` | String | <optional> | serverURL for engine service
`stats` | String | <optional> | serverURL for stats service
`push` | String | <optional> | serverURL for push service

URLs for services

##### Type:

- Object

#### UploadProgressCallback(event)

Source:
  - file.js, line 459

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | XMLHttpRequestProgressEvent | The progress event with 'loaded' and 'total' attributes